From 7626646dff0f70d3ef499f01e243457993db1b5b Mon Sep 17 00:00:00 2001
From: Haidong Yu <yuhaidong@uniontech.com>
Date: Thu, 9 Sep 2021 16:41:06 +0800
Subject: [PATCH] msvcrt: Avoid null pointer access exceptions.

Signed-off-by: Haidong Yu <yuhaidong@uniontech.com>
---
 dlls/msvcrt/wcs.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/dlls/msvcrt/wcs.c b/dlls/msvcrt/wcs.c
index aeab5527db4..4c8f39c2d0c 100644
--- a/dlls/msvcrt/wcs.c
+++ b/dlls/msvcrt/wcs.c
@@ -2854,6 +2854,8 @@ size_t CDECL wcslen(const wchar_t *str)
  */
 wchar_t* CDECL wcsstr(const wchar_t *str, const wchar_t *sub)
 {
+    if (!str) return NULL;
+
     while(*str)
     {
         const wchar_t *p1 = str, *p2 = sub;
-- 
2.20.1

